Bug 1305154 - Review Request: python-notario - A dictionary validator
Review Request: python-notario - A dictionary validator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Boris Ranto
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1315816
  Show dependency treegraph
 
Reported: 2016-02-05 15:30 EST by Ken Dreyer
Modified: 2016-03-25 17:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-12 06:50:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
branto: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2016-02-05 15:30:53 EST
Spec URL: https://fedorapeople.org/cgit/ktdreyer/public_git/python-notario.git/plain/python-notario.spec
SRPM URL: https://ktdreyer.fedorapeople.org/reviews/python-notario-0.0.8-1.fc24.src.rpm
Description: Notario is flexible and succinct Python dictionary validator with the ability to validate against both keys and values. Schemas are smaller and readable representations of data being validated.

Fedora Account System Username: ktdreyer
Comment 1 Ken Dreyer 2016-02-05 15:31:26 EST
Rawhide (F24) scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12894211
Comment 2 Ken Dreyer 2016-02-15 14:10:25 EST
Changes from earlier version:

- Update to latest upstream release
- Fall back to older python macros. The newer python macros are only
  available in EPEL 7, not RHEL 7 (see rhbz#1306861). Add fallbacks so
  we can still build and install on RHEL 7.
- Use HTTPS upstream URLs.

Spec URL: https://ktdreyer.fedorapeople.org/reviews/python-notario.spec
SRPM: URL: https://ktdreyer.fedorapeople.org/reviews/python-notario-0.0.9-1.fc24.src.rpm
Comment 3 Ken Dreyer 2016-03-01 11:16:46 EST
New version:

* Tue Mar 01 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.11-1
- Update to latest upstream release
- Drop older python macros.

Spec URL: https://ktdreyer.fedorapeople.org/reviews/python-notario.spec
SRPM: URL: https://ktdreyer.fedorapeople.org/reviews/python-notario-0.0.11-1.fc25.src.rpm

Exact changes in Git: https://fedorapeople.org/cgit/ktdreyer/public_git/python-notario.git/commit/?id=6424259b6c27653cdecffe0be68ca474ff0cb54f

Rawhide (F25) scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13190025
Comment 4 Upstream Release Monitoring 2016-03-01 11:18:53 EST
ktdreyer's scratch build of python-notario-0.0.11-1.fc25.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13190025
Comment 5 Boris Ranto 2016-03-02 04:10:35 EST
Ken, there are just two minor things:

- we should use %global instead of %define in the .spec file (you use %define srcname notario)

- rpmlint (spell check) complains that Schemas should be Schemes
Comment 6 Ken Dreyer 2016-03-02 12:54:01 EST
Thanks for the %global catch. I've fixed it in this latest version. (I think the rpmlint spelling check thing is a false positive; Google indicates that schemas is an acceptable plural form of schema).

* Wed Mar 02 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.11-2
- Use %%global macro instead of %%define (rhbz#1305154)

Spec URL: https://ktdreyer.fedorapeople.org/reviews/python-notario.spec
SRPM: URL: https://ktdreyer.fedorapeople.org/reviews/python-notario-0.0.11-2.fc25.src.rpm

Exact changes in Git: https://fedorapeople.org/cgit/ktdreyer/public_git/python-notario.git/commit/?id=0ff0057dc8d042b92aa60c80b4d16e9077e49852
Comment 7 Upstream Release Monitoring 2016-03-02 12:54:19 EST
ktdreyer's scratch build of python-notario-0.0.11-2.fc25.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13203753
Comment 8 Boris Ranto 2016-03-03 04:39:57 EST
Yeah, it looks like schemas is a false positive, still a better one than what it suggested for what 'validator' should (see the rpmlint part of the review report if you want to know :-) ).

I'm attaching the review report:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)"
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5 -- both owned by python
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5 -- owned by python
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-notario , python3-notario
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define srcname notario
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-notario-0.0.11-1.fc25.noarch.rpm
          python3-notario-0.0.11-1.fc25.noarch.rpm
          python-notario-0.0.11-1.fc25.src.rpm
python2-notario.noarch: W: spelling-error Summary(en_US) validator -> lavatorial
python2-notario.noarch: W: spelling-error %description -l en_US validator -> lavatorial
python2-notario.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
python3-notario.noarch: W: spelling-error Summary(en_US) validator -> lavatorial
python3-notario.noarch: W: spelling-error %description -l en_US validator -> lavatorial
python3-notario.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
python-notario.src: W: spelling-error Summary(en_US) validator -> lavatorial
python-notario.src: W: spelling-error %description -l en_US validator -> lavatorial
python-notario.src: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
python3-notario.noarch: W: spelling-error Summary(en_US) validator -> lavatorial
python3-notario.noarch: W: spelling-error %description -l en_US validator -> lavatorial
python3-notario.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
python2-notario.noarch: W: spelling-error Summary(en_US) validator -> lavatorial
python2-notario.noarch: W: spelling-error %description -l en_US validator -> lavatorial
python2-notario.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
python3-notario (rpmlib, GLIBC filtered):
    python(abi)
    python3

python2-notario (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-notario:
    python3-notario

python2-notario:
    python-notario
    python2-notario
Comment 9 Ken Dreyer 2016-03-03 08:47:03 EST
Thanks for the review!
Comment 10 Gwyn Ciesla 2016-03-03 09:24:55 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-notario
Comment 11 Fedora Update System 2016-03-03 10:00:48 EST
python-notario-0.0.11-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dbfb46187d
Comment 12 Fedora Update System 2016-03-03 16:57:36 EST
python-notario-0.0.11-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dbfb46187d
Comment 13 Fedora Update System 2016-03-08 09:42:48 EST
python-notario-0.0.11-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7769ab249d
Comment 14 Fedora Update System 2016-03-09 18:21:30 EST
python-notario-0.0.11-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7769ab249d
Comment 15 Fedora Update System 2016-03-12 06:49:59 EST
python-notario-0.0.11-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-25 17:25:34 EDT
python-notario-0.0.11-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.